Public Member Functions | Public Attributes | List of all members
ActaTextInternal::State Struct Reference

Internal: the state of a ActaText. More...

## Public Member Functions
| State ()
| constructor More...
void | setDefaultColorList (int version)
| set the default color map More...

## Public Attributes
std::vector< Topic > | m_topicList
| the topic list More...
int | m_listId
| the list id More...
std::vector< MWAWColor > | m_colorList
| a list colorId -> color More...
int | m_version
| the file version More...
int | m_numPages
int | m_actualPage

## Detailed Description

Internal: the state of a ActaText.

## Constructor & Destructor Documentation

## ◆ State()

ActaTextInternal::State::State | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ setDefaultColorList()

void ActaTextInternal::State::setDefaultColorList | ( | int | version | ) |

set the default color map

## Member Data Documentation

## ◆ m_actualPage

int ActaTextInternal::State::m_actualPage

## ◆ m_colorList

std::vector<MWAWColor> ActaTextInternal::State::m_colorList

a list colorId -> color

## ◆ m_listId

int ActaTextInternal::State::m_listId

the list id

## ◆ m_numPages

int ActaTextInternal::State::m_numPages

## ◆ m_topicList

std::vector<Topic> ActaTextInternal::State::m_topicList

the topic list

## ◆ m_version

int ActaTextInternal::State::m_version
| mutable

the file version

The documentation for this struct was generated from the following file:

- ActaText.cxx